View Issue Details

IDProjectCategoryView StatusLast Update
0024435mantisbtfilterspublic2018-06-06 00:39
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.0 
Target Version2.15.0Fixed in Version2.15.0 
Summary0024435: show_user_realname_threshold is not considered when sorting by reporter or handler
Description

Reporter and handler are sorted by realname instead of username if show_realname is set to ON, but the user access level does not allow to view the realname ( < show_user_realname_threshold)

TagsNo tags attached.

Relationships

related to 0010853 closedcproensa In View Issues list, several columns are sorted by Id instead of display value 
related to 0024139 closedatrol $g_show_realname for making usernames private 

Activities

mahindra

mahindra

2018-05-15 14:56

reporter   ~0059808

related to 0024139

atrol

atrol

2018-05-15 14:56

developer   ~0059809

PR https://github.com/mantisbt/mantisbt/pull/1348

atrol

atrol

2018-05-30 10:39

developer   ~0059977

Resolved in 2.15.0 as the fix was also part of PR https://github.com/mantisbt/mantisbt/pull/1351

Related Changesets

MantisBT: master fe309505

2018-05-19 10:59:48

atrol

Details Diff
Unifiy show_realname handling

Issue 0024139
Issue 0024435
Affected Issues
0024139, 0024435
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2018-05-15 14:52 atrol New Issue
2018-05-15 14:52 atrol Status new => assigned
2018-05-15 14:52 atrol Assigned To => atrol
2018-05-15 14:56 mahindra Note Added: 0059808
2018-05-15 14:56 atrol Note Added: 0059809
2018-05-15 14:59 atrol Relationship added related to 0010853
2018-05-15 15:03 atrol Product Version => 2.13.0
2018-05-23 17:07 atrol Relationship added related to 0024139
2018-05-30 09:03 atrol Changeset attached => MantisBT master fe309505
2018-05-30 10:39 atrol Status assigned => resolved
2018-05-30 10:39 atrol Resolution open => fixed
2018-05-30 10:39 atrol Fixed in Version => 2.15.0
2018-05-30 10:39 atrol Note Added: 0059977
2018-06-06 00:39 vboctor Status resolved => closed